Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.parser
Class AstNotEqual

    java.lang.Object
      com.sun.el.lang.ELSupport
          com.sun.el.parser.SimpleNode
              com.sun.el.parser.BooleanNode
                  com.sun.el.parser.AstNotEqual

All Implemented Interfaces:
  Node

    public final class AstNotEqual

extends BooleanNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class com.sun.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstNotEqual(int id)`

Method Summary
`Object` | `getValue(EvaluationContext ctx)`

Methods inherited from class com.sun.el.parser.BooleanNode
`getType`

Methods inherited from class com.sun.el.parser.SimpleNode
`accept, dump, equals, getImage, getMethodInfo, hashCode, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class com.sun.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstNotEqual

    public AstNotEqual(int id)

Method Detail

### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.